--- title: "Audit Logs: Configuration Updates" slug: "audit-logs-configuration-updates" updated: 2025-09-25T19:38:09Z published: 2025-09-25T19:38:09Z canonical: "docs.unqork.io/audit-logs-configuration-updates" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.unqork.io/llms.txt > Use this file to discover all available pages before exploring further. # Audit Logs: Configuration Updates This article is a simple reference guide showing you the data fields expected from Configuration Updates audit logs. > [!TIP] > To learn more about the Audit Logs API, view our [Get API Logs](https://developers.unqork.io/#tag/Logs) documentation. **Client Tracker Administration** This section focuses on the various configuration events in Client Tracker Administration. ### Adding a Datadog RUM Tracker An event indicating a client tracker with Datadog RUM was created in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | clientTokenSet | Whether the Datadog RUM client token is set at creation. True if set; false otherwise. | Boolean | | tracingOrigins | The Datadog RUM tracing origins at creation. | String | | trackInteractions | Whether the Track Interactions setting is enabled at creation. True if enabled; false otherwise. | Boolean | | recordSessionPlays | Whether the Record Session Replays setting is enabled at creation. True if enabled; false otherwise. | Boolean | | isEnabled | Whether the Is Enabled setting is enabled at creation. True if enabled; false otherwise. | Boolean | ### Adding a Log Rocket Tracker An event indicating a client tracker with Log Rocket was created in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | captureIP | Whether the Capture IP setting is enabled at creation. True if enabled; false otherwise. | Boolean | | captureUser | Whether the Capture User setting is enabled at creation. True if enabled; false otherwise. | Boolean | | isEnabled | Whether the Is Enabled setting is enabled at creation. True if enabled; false otherwise. | Boolean | | ingestServer | The Log Rocket ingest server at creation. | String | ### Adding a New Relic Tracker An event indicating a client tracker with New Relic was created in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | agentId | The agent ID at creation. | String | | applicationId | The application ID at creation. | String | | trustKey | The trust key at creation. | String | | isEnabled | Whether the Is Enabled setting is enabled at creation. True if enabled; false otherwise. | Boolean | ### Changing a Datadog RUM Tracker An event indicating a client tracker with Datadog RUM was modified in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | clientTokenSet | Whether the Datadog RUM client token is set. True if set; false otherwise. | Boolean | | tracingOrigins | The Datadog RUM tracing origins after changes were made. | String | | trackInteractions | Whether the Track Interactions setting is enabled. True if enabled; false otherwise. | Boolean | | recordSessionPlays | Whether the Record Session Replays setting is enabled. True if enabled; false otherwise. | Boolean | | isEnabled | Whether the Is Enabled setting is enabled. True if enabled; false otherwise. | Boolean | ### Changing a Log Rocket Tracker An event indicating a client tracker with Log Rocket was modified in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | captureIP | Whether the Capture IP setting is enabled. True if enabled; false otherwise. | Boolean | | captureUser | Whether the Capture User setting is enabled. True if enabled; false otherwise. | Boolean | | isEnabled | Whether the Is Enabled setting is enabled. True if enabled; false otherwise. | Boolean | | ingestServer | The Log Rocket ingest server after changes were made. | String | ### Changing a New Relic Tracker An event indicating a client tracker with New Relic was modified in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | agentId | The agent ID after changes were made. | String | | applicationId | The application ID after changes were made. | String | | trustKey | The trust key after changes were made. | String | | isEnabled | Whether the Is Enabled setting is enabled. True if enabled; false otherwise. | Boolean | ### Deleting a Datadog RUM Tracker An event indicating a client tracker with Datadog RUM was deleted in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | trackerDeleted | Whether the Datadog RUM tracker was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Deleting a Log Rocket Tracker An event indicating a client tracker with Log Rocket was deleted in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | trackerDeleted | Whether the Log Rocket tracker was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Deleting a New Relic Tracker An event indicating a client tracker with New Relic was deleted in Client Tracker Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | trackerDeleted | Whether the New Relic tracker was deleted successfully. True if deleted successfully; false otherwise. | Boolean | **Email Template Administration** This section focuses on email template changes in Email Template Administration. ### Changing an Email Template An event indicating that an email template was modified in Email Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | subject | The email subject field after changes were made to the template. | String | | template | The email template field after changes were made to the template. | String | **Environment Administration** This section focuses on changes to configuration settings in Environment Administration. ### Changing API Rate Limiting An event indicating that the API Rate Limiting settings were modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | numberOfRequestsPerIPAddress | The Number of Requests per IP Address value after changes were made. | Integer | ### Changing Component Security An event indication that the Disable Safe HTML Filters in Content Components setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | disableSafeHTMLFilters | Whether the Disable Safe HTML Filters in Content Components setting is enabled. True if enabled; false otherwise. | Boolean | ### Changing Express Content Security Policy (CSP) An event indicating that the Express Content Security Policy settings were modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | frameSourceList | The Frame Source List value after changes were made. | String | | frameAncestorList | The Frame Ancestor List value after changes were made. | String | | objectSourceList | The Object Source List value after changes were made. | String | ### Changing Express Session Administration An event indicating that the Express Session Administration settings was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | expireUserSessionChoice | The option selected from the Expire User Session in Express drop-down. | Boolean | | apiTokenInactivityTimeout | The Inactivity Timeout value after changes were made. | Integer | | sessionTimeout | The Session Timeout value after changes were made. | Integer | ### Changing Google Tag Manager An event indicating that the Google Tag Manager settings was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | gtmContainerId | The GTM Container ID value after changes were made. | String | | gtmEnvironmentAuthentication | The GTM Environment Authentication value after changes were made. | String | | gtmEnvironmentPreview | The GTM Environment Preview value after changes were made. | String | ### Changing Hide Preview Bar by Default An event indicating that the Hide Preview Bar by Default setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | hidePreviewBar | Whether the Hide Preview Bar by Default setting is enabled. True if enabled; false otherwise. | Boolean | ### Changing Limit Looping for Component Execution An event indicating that the Looping Limit for Component Execution setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | loopingLimitComponentExecution | The Looping Limit for Component Execution value after changes were made. | Integer | ### Changing Limit Looping for Workflow Node Execution An event indicating that the Looping Limit for Component Execution setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | workflowNodeExecution | The Looping Limit for Workflow Node Execution value after changes were made. | Integer | ### Changing Offline Mode An event indicating that the Enable Offline setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | enableOfflineCapabilities | Whether the Enable Offline setting is enabled. True if enabled; false otherwise. | Boolean | ### Changing PagerDuty Key An event indicating that the PagerDuty Key setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | pagerDutyKey | Whether the PagerDuty Key setting was added, modified, or deleted. | Boolean | ### Changing Server-Side Execution Logs An event indicating that the Server-Side Execution Logs settings were modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | requestResponseBodyLog | The option selected from the Server Side Execution Request/Response Body Log drop-down. - **none**: Do not capture request/response bodies - **errorOnly**: Capture request/response bodies on failure - **all**: Capture all request/response bodies | String | | debugLog | The option selected from the Server Side Execution Debug Log drop-down. - **none**: Never capture debug logging - **all**: Always capture debug logging | String | ### Changing Site Name An event indicating that the Site Name setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | siteName | The Site Name value after changes were made. | String | ### Changing Tracker Records An event indicating that the Number of Days to Keep Tracker Records setting was modified in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | newNoOfDaysToKeepTrackerRecord | The Number of Days to Keep Tracker Records value after changes were made. | Integer | ### Promoting Translations An event indicating that translations were promoted in Environment Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | targetEnvironmentName | The target environment where the translations were promoted. | String | **Excel Fill Template Administration** This section focuses on uploading, downloading, and deleting Excel templates in Excel Fill Template Administration. ### Deleting Excel Templates An event indicating that a template was deleted in Excel Fill Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | deletedSuccess | Whether a template was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Downloading Excel Templates An event indicating that a template was downloaded in Excel Fill Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | title | The title of the template that was downloaded. | String | | filesize | The file size of the template that was downloaded (in bytes). | String | ### Uploading Excel Templates An event indicating that a template was uploaded in Excel Fill Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | title | The title of the template that was uploaded. | String | | filesize | The file size of the template that was uploaded (in bytes). | String | **Express User Administration** This section focuses on uploading and searching for Express users in Express User Administration. You'll also see audit logs for converting and Express user to a Creator User. ### Convert to Creator Administrator An event indicating that an Express user was converted to a Creator Administrator in Express User Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | email | The email of the converted user. | String | | convertToCreatorAdmin | Whether the user was converted to a Creator Administrator successfully. True if converted successfully; false otherwise. | Boolean | ### Exporting an Express User An event indicating that an Express user was exported in Express User Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | numberOfRecordsExported | The total number of Express user records that were exported from Express User Administration. | Number | ### Importing an Express User An event indicating that an Express user was imported in Express User Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | importSuccess | Whether the user was imported successfully. True if imported successfully; false otherwise. | Boolean | | notifyUsersTempPassword | Whether the user was emailed a temporary password successfully. True if emailed successfully; false otherwise. | Boolean | ### Searching for an Express User An event indicating that another user search for an Express user in Express User Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | name | The Express user's name. | String | | phone | The Express user's phone number. | String | | role | The Express user's role. | String | | userId | The Express user's unique identifier. | String | | foundOutput | Whether the search returned a result successfully. True if a result was returned successfully; false otherwise. | Boolean | **Global Variables Administration** This section focuses on adding, changing, deleting, and promoting global variables in Global Variables Administration. ### Adding a Global Variable An event indicating that a global variable was created in Global Variables Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | key | The required global variable's key at creation. | String | | description | The description of the global variable at creation. | String | | serverSideOnly | Whether the Server-Side Only setting is enabled at creation. True if enabled; false otherwise. | Boolean | | value | The global variable's value at creation. | Integer | ### Changing a Global Variable An event indicating that a global variable was modified in Global Variables Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | key | The required global variable's key after changes were made. | String | | description | The description of the global variable after changes were made. | String | | serverSideOnly | Whether the Server-Side Only setting is enabled. True if enabled; false otherwise. | Boolean | | value | The global variable's value after changes were made. | Integer | ### Deleting a Global Variable An event indicating that a global variable was deleted in Global Variables Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | variableDeleted | Whether the global variable was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Promoting a Global Variable An event indicating that a global variable was promoted in Global Variables Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | keysDetails↴ | An array of the detail information for the promoted global variable. | Array | | object↴ | An object containing the detail information for the promoted global variable. | Object | | key | The required global variable's key after changes were made. | String | | description | The description of the global variable after changes were made. | String | | serverSideOnly | Whether the Server-Side Only setting is enabled. True if enabled; false otherwise. | Boolean | | value | The global variable's value. | Integer | | promotedEnvironment | The environment where the global variable was promoted. | String | **Managed Assets Administration** This section focuses on creating, uploading, downloading, and deleting assets in Managed Assets Administration. ### Adding an Asset Folder An event indicating that a folder was created in Managed Assets Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | folderTitle | The asset folder's title at creation. | String | | lastmodified | The last time the folder was modified. | Date | ### Deleting an Asset An event indicating that an asset was deleted in Managed Assets Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | folderTitle | The title of the deleted asset. | String | | filesize | The file size of the deleted asset (in bytes). | String | | lastmodified | The last time the asset was modified. | Date | ### Downloading an Asset An event indicating that an asset was downloaded in Managed Assets Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | folderTitle | The title of the downloaded asset. | String | | filesize | The file size of the downloaded asset (in bytes). | String | | lastmodified | The last time the asset was modified. | Date | ### Uploading an Asset An event indicating that an asset was uploaded in Managed Assets Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | folderTitle | The title of the uploaded asset. | String | | filesize | The file size of the uploaded asset (in bytes). | String | | lastmodified | The last time the asset was modified. | Date | **Module Administration** This section focuses on adding, copying, and restoring modules in Module Administration. ### Adding a Module An event indicating that a module was created in Module Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | name | The name of the module that was created. | String | | title | The title of the module that was created. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the module exists. | String | ### Copying a Module An event indicating that a module was copied to a new module in Module Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | newModule↴ | An object of module details for the new module created when copying another module. | Object | | title | The new module's title. | String | | id | The new module's unique identifier. | String | | name | The new module's name. | String | | version | The current version of the new module. | String | | created | The date the new module was created. | Date | | modified | The last time the new module was modified. | Date | | oldModule↴ | An object of module details for the module that was copied. | Object | | title | The copied module's title. | String | | id | The copied module's unique identifier. | String | | name | The copied module's name. | String | | version | The current version of the copied module. | String | | created | The date the copied module was created. | Date | | modified | The last time the copied module was modified. | Date | ### Restoring a Module An event indicating that a module was restored in Module Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | module↴ | An object of module details for the restored module. | Object | | title | The restored module's title. | String | | id | The restored module's unique identifier. | String | | name | The restored module's name. | String | | version | The version of the module before being restored. | String | | newVersion | The restored version of the module. | String | | created | The date the module was restored. | Date | | modified | The last time the restored module was modified. | Date | **Module Configuration** This section focuses on the various actions and settings that can be configured in a module. ### Adding a Module Transform An event indicating that a module transform was created in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module where the transform was created. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | transformName | The transform's name. | String | | type | The transform type. | String | ### Changing the Editing Module Setting An event indicating that a user set a module to edit in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module where the setting was changed. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | canEdit | Whether a user has set a module to edit mode. True if set to Editing; false if set to Viewing. | Boolean | ### Changing a Module An event indicating that a module was modified in the Module Builder. This log occurs after the module is saved. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module that was modified. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | archiveId | The unique identifier associated with archived changes after they were made. | String | ### Changing a Module Transform An event indicating that a module transform was modified in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module where the transform was modified. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | transformName | The name of the transform after changes were made. | String | | type | The transform type after changes were made. | String | ### Changing a Module's Workflow Settings An event indicating a module's Workflow Settings were changed in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module whose Workflow Settings were modified. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | validation | Whether the Validate on Opening Submission setting is enabled. True if enabled; false otherwise. | Boolean | | postTrigger | The Post Trigger after changes were made. | String | | postValidationTrigger | The Post Validation Trigger after changes were made. | String | | postSaveTrigger | The Post Save Trigger after changes were made. | String | ### Changing Module Permissions An event indicating that a user has modified the Module Permissions in the Module Builder | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module whose permissions were modified. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | customizeRBAC | Whether the Customize RBAC for This Module setting is enabled. True if enabled; false otherwise. | Boolean | | allowAccessAnonymous | Whether the Allow Access to Anonymous Users setting is enabled. True if enabled; false otherwise. | Boolean | | accessDetails | An object of all module access details. | Object | ### Changing Module Settings An event indicating that a user has modified the Module Settings in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module whose settings were modified. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | modulePath | The module's path. | String | | tags | The module's tags. | String | | dataModel | The module's data model. | String | | loadSubmissionInitial | Whether the Load Submission With Initial Module Version setting is enabled. True if enabled; false otherwise. | Boolean | | enableStaggerLoad | Whether the Enable Stagger Load setting is enabled. True if enabled; false otherwise. | Boolean | | propagateDisabled | Whether the Container Components' Propagate "Disabled" to Logic Components setting is enabled. True if enabled; false otherwise. | Object | | serverSideExecuteOnly | Whether the Server-Side Execution Only setting is enabled. True if enabled; false otherwise. | Object | | superUserOnSSE | Whether the Act as Super-User When Server-Side Executing setting is enabled. True if enabled; false otherwise. | Object | | enableTracker | Whether the Enable Tracker setting is enabled. True if enabled; false otherwise. | Object | | showPageTitle | Whether the Show Page Title setting is enabled. True if enabled; false otherwise. | Object | ### Changing Module Translations An event indicating that module translations were modified in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module where the transform was modified. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | enableTranslations | Whether the Enable Translations setting is enabled. True if enabled; false otherwise. | Boolean | ### Deleting a Module An event indicating that a module was deleted from an application. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module where the transform was created. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | deletedSuccess | Whether the module was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Deleting a Module Transform An event indicating that a module transform was deleted in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module where the transform was created. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | transformName | The transform's name. | String | | type | The transform type. | String | | deletedTransform | Whether the module transform was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Saving a Snippet An event indicating that a module configuration was saved as a snippet in the Module Builder. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | moduleName | The name of the module wher the snippet was saved. | String | | appName | The name of the application where the module exists. | String | | workspaceName | The name of the workspace where the application exists. | String | | snippetName | The snippet's name. | String | | description | The description of the snippet. | String | | tags | The snippet's tags. | String | | imageUploaded | Whether an image was uploaded to the snippet. True if an image was uploaded; false otherwise. | Boolean | | configLevel | The selected configuration level at creation. | String | | additionalSignaling | The selected Additional Signaling at creation. | String | | featureFunctionality | The description of the snippet's functionality at creation. | String | | requirements | The requirements for using the snippet at creation. | String | **PDF Template Administration** This section focuses on uploading, downloading, and deleting PDF templates in PDF Template Administration. ### Deleting a PDF Template An event indicating that a PDF template was deleted in PDF Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | deletedSuccess | Whether the PDF template was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Downloading a PDF Template An event indicating that a PDF template was downloaded in PDF Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | title | The downloaded PDF template's title. | String | | fileSize | The file size of the downloaded PDF template (in bytes). | Number | ### Uploading a PDF Template An event indicating that a PDF template was uploaded in PDF Template Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | title | The uploaded PDF template's title. | String | | fileSize | The file size of the uploaded PDF template (in bytes). | Number | **Services Administration** This section focuses on adding, changing, and deleting services in Services Administration. ### Adding a Service An event indicating that a service was created in Services Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | serviceTitle | The service title at creation. | String | | serviceName | The service name at creation. | String | | serviceProtocol | The service protocol at creation. | String | | authType | The service's authentication method at creation. | String | | notfollowRedirect | Whether the Prevent Redirect setting is enabled at creation. True if enabled; false otherwise. | Boolean | | enableSOAPdigiSign | Whether the Enable SOAP Digital Signature setting is enabled at creation. True if enabled; false otherwise. | Boolean | | enableMutualTIs | Whether the Enable Mutual TLS setting is enabled at creation. True if enabled; false otherwise. | Boolean | | requestHeaders | An object of the service's configured request headers at creation. | Object | | responseHeaders | An object of the service's configured response headers at creation. | Object | | requestBody | An object of the service's configured request body at creation. | Object | | captureReqResBodies | Whether the Capture Request and Response Bodies setting is enabled at creation. True if enabled; false otherwise. | Boolean | | retentionDays | The total number of retention days configured at creation. | Integer | | pagerdutyKeySet | Whether the PagerDuty Service Key is set at creation. True if set; false otherwise. | Boolean | ### Changing a Service An event indicating that a service was modified in Services Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | serviceTitle | The service title after changes were made. | String | | serviceName | The service name after changes were made. | String | | serviceProtocol | The service protocol after changes were made. | String | | authType | The service's authentication method after changes were made. | String | | notfollowRedirect | Whether the Prevent Redirect setting is enabled. True if enabled; false otherwise. | Boolean | | enableSOAPdigiSign | Whether the Enable SOAP Digital Signature setting is enabled. True if enabled; false otherwise. | Boolean | | enableMutualTIs | Whether the Enable Mutual TLS setting is enabled. True if enabled; false otherwise. | Boolean | | requestHeaders | An object of the service's configured request headers after changes were made. | Object | | responseHeaders | An object of the service's configured response headers after changes were made. | Object | | requestBody | An object of the service's configured request body after changes were made. | Object | | captureReqResBodies | Whether the Capture Request and Response Bodies setting is enabled. True if enabled; false otherwise. | Boolean | | retentionDays | The total number of retention days configured after changes were made. | Integer | | pagerdutyKeySet | Whether the PagerDuty Service Key is set. True if set; false otherwise. | Boolean | ### Deleting a Service An event indicating that a service was deleted in Services Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | serviceAdminDeleted | Whether the service was deleted successfully. True if deleted successfully; false otherwise. | Boolean | **Start Node Administration** This section focuses on starting, stopping, and filtering Start, Signal Start, and Timer Start Workflow nodes in Start Node Administration. ### Starting a Workflow Node An event indicating a Workflow node was started in Start Node Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | type | The type of Workflow node that was started. | String | | workflowPath | The workflow path where the node exists. | String | ### Stopping a Workflow Node An event indicating a Workflow node was stopped in Start Node Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | type | The type of Workflow node that was stopped. | String | | workflowPath | The workflow path where the node exists. | String | **Style Administration** This section focuses on setting a default style, modifying, promoting, and deleting styles in Style Administration. ### Changing a Style An event indicating that a style was modified in Style Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | styleName | The style's name after changes were made. | String | | description | The description of the style after changes were made. | String | ### Deleting a Style An event indicating that a style was deleted in Style Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | styleDeleted | Whether the style was deleted successfully. True if deleted successfully; false otherwise. | Boolean | ### Promoting a Style An event indicating that a style was promoted in Style Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | styleName | The style's name when promoted. | String | | description | The description of the style when promoted. | String | | promotedEnvironment | The environment where the style was promoted. | String | ### Setting a Default Style An event indicating that a style was set as default in Style Administration. | Element | Description | Type | | --- | --- | --- | | attributes↴ | An object of event attributes. | Object | | styleName | The default style's name. | String | | description | The description of the default style. | String | ## Resources - [Audit Logs](/v1/docs/audit-logs) - [Endpoint Reference](/v1/docs/audit-logs-endpoint-reference) - [Application and Workspaces Updates Logs Reference](/v1/docs/audit-logs-application-and-workspaces-updates) - [Data Access Events Logs Reference](/v1/docs/audit-logs-data-access-events) - [User Access and Security Logs Reference](/v1/docs/audit-logs-user-access-and-security)